Skip to content

Create sales order checkout

POST
/merchants/{merchantCode}/orders/{orderNumber}/checkout
curl --request POST \
--url https://order.shopgate.io/v1/merchants/example/orders/example/checkout \
--header 'Content-Type: application/json' \
--data '{ "campaignAttribution": { "campaignCode": "CMP-1", "channel": "push", "distributionIndex": 0 }, "paymentTransactions": [ { "id": "edadf6a6-f536-489f-92b8-c15fc1edc19b", "checkoutParams": { "paymentIntentId": "pi_test_23tz4hrdpgjseroh" } } ], "sourceIp": "85.45.62.2", "userAgent": "Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0", "domain": "www.mydomain.com", "platform": "engage", "os": "ios" }'

Create sales order checkout

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

orderNumber
required
string

Unique order number

Media typeapplication/json
object
campaignAttribution

Campaign the order should be attributed to

object
campaignCode
required
string
channel
required
string
distributionIndex
required
number
Example
{
"campaignCode": "CMP-1",
"channel": "push",
"distributionIndex": 0
}
paymentTransactions
Array<object>
object
id
string
Example
edadf6a6-f536-489f-92b8-c15fc1edc19b
checkoutParams

Params provided by the frontend element of the provider. Can contain sensible data

object
Example
{
"paymentIntentId": "pi_test_23tz4hrdpgjseroh"
}
sourceIp

IP address from the client where the order was placed. It can be a IPv4 or IPv6 address

string
Example
85.45.62.2
userAgent

The UserAgent string from headers of the incoming request.

string | null
Example
Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0
domain

The domain from which order came.

string | null
/^(((?!-))(xn--|_{1,1})?[a-z0-9-]{0,61}[a-z0-9]{1,1}\.)*(xn--)?([a-z0-9][a-z0-9\-]{0,60}|[a-z0-9-]{1,30}\.[a-z]{2,})$/
Example
www.mydomain.com
platform

The platform from which the order came.

string
Allowed values: engage desktop mobile checkoutPage inStoreApp other
Example
engage
os

Operation system of the source device

string
Allowed values: ios android other
Example
ios

Checkout success

Media typeapplication/json

Merchant of order not found

Media typeapplication/json

Unexpected error

Media typeapplication/json
object
code

Machine readable error code

string
message
required

Human readable error code

string
Example
{
"code": "internal.database",
"message": "Internal Database Error"
}